#include "AMDiS.hpp"

// AMDiS includes
#include <amdis/Initfile.hpp>
#include <amdis/Output.hpp>

namespace AMDiS
{
  Dune::MPIHelper& init(int& argc, char**& argv, std::string initFileName)
  {
    // Maybe initialize MPI
    Dune::MPIHelper& mpiHelper = Dune::MPIHelper::instance(argc, argv);

    Parameters::clearData();

    if (initFileName == "") {
      if (argc > 1)
        Parameters::init(argv[1]);
      else
        error_exit("No init file specified!\n");
    } else {
      Parameters::init(initFileName);
    }

    return mpiHelper;
  }


  void finalize()
  {}

} // end namespace AMDiS
